# HYMOG Data River Rhine V0.2 25.10.2017
# 
# control script
# running R scripts for Pre-DataAnalysis 
# not optimized for performance !!
#
#-----------------------------------------
# set the system environment to English -> personal notebook has German UI 
Sys.setlocale("LC_TIME", "English") # Windows
Sys.setenv(LANG="EN") 

# general part: preparating work environment: reading data and functions 
# reading time series
source("HYMOG_File_InputOutput.R")
# operational functions
#source("HYMOG_File_Management.R")
# analysis functions
source("HYMOG_File_Metadata.R")
#source("HYMOG_File_Analysis.R")
# plot functions
#source("HYMOG_File_PlotFunctions.R")


#
# basic plots
#

plot (Q_Ruhrort)
plot (H_Ruhrort)
plot (Q_Wesel)
plot (H_Wesel)
scatter.smooth(H_Ruhrort[,2],Q_Ruhrort[,2])
scatter.smooth(H_Wesel[,2],Q_Wesel[,2])
scatter.smooth(H_Ruhrort[,2],H_Wesel[,2])
scatter.smooth(Q_Ruhrort[,2],Q_Wesel[,2])

plot (q_RO@timeseries)
plot (h_RO@timeseries)
plot (q_WL@timeseries)
plot (h_WL@timeseries)
scatter.smooth(h_RO@timeseries[,2],q_RO@timeseries[,2])
scatter.smooth(h_WL@timeseries[,2],q_WL@timeseries[,2])
scatter.smooth(h_RO@timeseries[,2],h_WL@timeseries[,2])
scatter.smooth(q_RO@timeseries[,2],q_WL@timeseries[,2])

color_01="darkgreen"
scatter.smooth(extract_year(h_WL@timeseries,2001),extract_year(q_WL@timeseries,2001),type="l")


color_set = rainbow(19)
for(i in 1:19)
lines(extract_year(h_WL@timeseries,1988+i),extract_year(q_WL@timeseries,1988+i),col=color_set[i])


#
# statistics
#
printMetaData(h_RO)
printMetaData(q_RO)
printMetaData(h_WL)
printMetaData(q_WL)
cor(h_RO@timeseries[,2],q_RO@timeseries[,2])
cor(h_WL@timeseries[,2],q_WL@timeseries[,2])
cor(h_RO@timeseries[,2],h_WL@timeseries[,2])
cor(q_RO@timeseries[,2],q_WL@timeseries[,2])


